import os
import xlwings as xw

import GRANTA_MIScriptingToolkit as gdl
session = gdl.GRANTA_MISession('http://localhost/mi_servicelayer','', '','nic-laptop2')

def search():
    wb = xw.Workbook.caller()
    
    searchRange = xw.Range('Sheet1', 'B2')
    resultsRange = xw.Range('Sheet1', 'D2')
    
    dbKey = 'MI_MandP_Polymer_5.35.1m'
    searchText = str(searchRange.value)
    
    simpleTextSearch = gdl.SimpleTextSearch(searchValue=searchText, DBKey = dbKey)
    simpleTextSearchResponse = session.searchService.SimpleTextSearch(simpleTextSearch)
    
    results = [r.longName for r in simpleTextSearchResponse.searchResults]
    
    resultsRange.table.clear_contents()
    resultsRange.options(transpose=True).value = results

if __name__ == '__main__':
    path = os.path.abspath(os.path.join(os.path.dirname(__file__), 'textSearch.xlsm'))
    xw.Workbook.set_mock_caller(path)
    search()